Skip to content
Start here

Get information about an interconnect object

GET/accounts/{account_id}/cni/interconnects/{icon}

Get information about an interconnect object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
Path ParametersExpand Collapse
account_id: string

Customer account tag

icon: string
ReturnsExpand Collapse
NscInterconnectPhysicalBody = object { account, facility, name, 5 more }
account: string
facility: object { address, name }
address: array of string
name: string
name: string
site: string

A Cloudflare site name.

slot_id: string
formatuuid
speed: string
type: string
owner: optional string
NscInterconnectGcpPartnerBody = object { account, name, region, 3 more }
account: string
name: string
region: string
type: string
owner: optional string
speed: optional "50M" or "100M" or "200M" or 9 more

Bandwidth structure as visible through the customer-facing API.

One of the following:
"50M"
"100M"
"200M"
"300M"
"400M"
"500M"
"1G"
"2G"
"5G"
"10G"
"20G"
"50G"

Get information about an interconnect object

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cni/interconnects/$ICON \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "owner": "owner"
}
Returns Examples
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "owner": "owner"
}